Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.getenso.ai/invoices/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoices": [
{
"contractPlanId": "<string>",
"invoiceData": {
"date": "2023-10-01",
"fromDate": "2023-10-01",
"toDate": "2023-10-31"
},
"invoiceItems": [
{
"title": "Item Title",
"description": "Item description",
"quantity": 1,
"price": 100,
"fromDate": "2023-10-01",
"toDate": "2023-10-31"
}
],
"customerIdentifier": "<string>"
}
]
}
'import requests
url = "https://api.getenso.ai/invoices/batch"
payload = { "invoices": [
{
"contractPlanId": "<string>",
"invoiceData": {
"date": "2023-10-01",
"fromDate": "2023-10-01",
"toDate": "2023-10-31"
},
"invoiceItems": [
{
"title": "Item Title",
"description": "Item description",
"quantity": 1,
"price": 100,
"fromDate": "2023-10-01",
"toDate": "2023-10-31"
}
],
"customerIdentifier": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoices: [
{
contractPlanId: '<string>',
invoiceData: {date: '2023-10-01', fromDate: '2023-10-01', toDate: '2023-10-31'},
invoiceItems: [
{
title: 'Item Title',
description: 'Item description',
quantity: 1,
price: 100,
fromDate: '2023-10-01',
toDate: '2023-10-31'
}
],
customerIdentifier: '<string>'
}
]
})
};
fetch('https://api.getenso.ai/invoices/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "error",
"message": "Forbidden",
"errors": [
{}
]
}Create multiple invoices in batch
JobService:createJWT bearer token obtained from POST /auth/system-login using your client credentials.
Invoice data that needs to be created
List of invoices to be created
Show child attributes
